# $Revision: 1.17 $, $Date: 2002/04/25 09:10:53 $
Summary:	A weather forecasting applet for the GNOME Panel
Summary(pl):	Applet dla GNOME pokazujcy pogod w danym regionie
Name:		Gforecast
Version:	0.4
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	ftp://download.sourceforge.net/pub/sourceforge/waepplets/%{name}-%{version}.tar.gz
Patch0:		%{name}-configure.in.patch
URL:		http://waepplets.sourceforge.net/
BuildRequires:	gnome-core-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gettext-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc/X11/GNOME

%description
Simple applet that gets the forecast for a chosen city and shows it as
an icon image in a GNOME applet.

%description -l pl
Prosty applet, ktry pobiera informacj o pogodzie dla danego miasta i
wywietla j w formie ikony.

%prep
%setup -q
%patch0 -p1

%build
rm -rf missing
gettextize --copy --force
aclocal -I macros
autoconf
automake -a -c -f
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS ChangeLog NEWS README TODO

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/CORBA/servers/*
%{_datadir}/applets/Monitors/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: Gforecast.spec,v $
Revision 1.17  2002/04/25 09:10:53  marcus
- patch fot configure.in

Revision 1.16  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/01 14:39:50  marcus
- rel.3.

Revision 1.14  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/03 20:46:25  ankry
- adding es/pt/pt_BR Group translations

Revision 1.12  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/08/12 14:55:50  blues
- Release 2
- ac/am corrected

Revision 1.10  2001/07/18 03:20:02  kloczek
- spec adapterized.

Revision 1.9  2001/03/03 12:57:51  kloczek
- updated to 0.4 (removed gettexize obsoleted patch).

Revision 1.8  2001/02/02 17:50:32  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.7  2001/01/19 09:56:34  misiek
pl description

Revision 1.6  2000/10/29 18:00:44  kloczek
- release 2: use new rpm automation and rebuild against gnome-libs linked
  with db3.

Revision 1.5  2000/07/31 11:49:40  kloczek
- added patch with full gettextixe (patch poster to Roberto).

Revision 1.4  2000/07/31 09:28:26  kloczek
- updated to 0.3.

Revision 1.3  2000/07/20 04:35:09  kloczek
- updated to 0.2,
- removed outdated automake patch.

Revision 1.2  2000/06/28 08:29:29  kloczek
- rewrited in PLD style.
